POST /replicate/v1/models/minimax/video-01-live/predictions
Method: POSTEndpoint: /replicate/v1/models/minimax/video-01-live/predictions
https://replicate.com/minimax/video-01-live
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"a man is talking angrily"
,
"prompt_optimizer"
:
true
,
"first_frame_image"
:
"https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png"
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/minimax/video-01-live/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"prompt": "a man is talking angrily",
"prompt_optimizer": true,
"first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}